VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: Updating vl7.0  (Read 5575 times)

warpman

  • Member
  • *
  • Posts: 41
Updating vl7.0
« on: March 20, 2015, 01:05:37 pm »

I downloaded and installed vl7.0 last night on a laptop and updated the packages. I noticed that a lot of packages are out of day. Is 7.0 been updated? Am I missing something?
Logged

warpman

  • Member
  • *
  • Posts: 41
Re: Updating vl7.0
« Reply #1 on: March 22, 2015, 09:03:49 pm »

I'm kind of surprise that no one has responded to my question about upgrading v7.0.
I have another question, can we make slapt-get point to the RCx repositories to upgrade packages? If, so, how do we do it?
Would upgrading the packages from RCx repositories be OK?

I downloaded and installed vl7.0 last night on a laptop and updated the packages. I noticed that a lot of packages are out of day. Is 7.0 been updated? Am I missing something?
Logged

overthere

  • Vectorian
  • ****
  • Posts: 1455
Re: Updating vl7.0
« Reply #2 on: March 22, 2015, 11:46:00 pm »

No..adding RC repositories would be unwise to say the least. VL7.0 has been maintained and the most recent additions would be found in the untested repository..this is by default turned off in gslapt as it can be problematic when updating for obvious reasons. however it may help you to find some additional packages that are stable but have not yet been moved to standard repositories. you would toggle it in gslapt under edit preferences sources. and refresh the packages list. this should be unchecked and the list refreshed when finished and used with caution as the packages may be yet unstable and cause issue..in the forum new packages are posted for testing in package news and updates.
naturally there is a limit to the updatability of any system at which time a new build is required. the developers are actively working on the same and have released alpha, beta and rc1 to date. this is a completely new process and rebuild and as such is taking longer than any previous release. Although newer RC are being built they have not been posted for public testing thus I can only suggest patients.
What version of VL7.0 did you install? VLocity, Standard gold or Light?
Logged
Everything Is Relative

warpman

  • Member
  • *
  • Posts: 41
Re: Updating vl7.0
« Reply #3 on: March 23, 2015, 01:29:27 pm »

Thanks for the info. I installed V7 standard.

No..adding RC repositories would be unwise to say the least. VL7.0 has been maintained and the most recent additions would be found in the untested repository..this is by default turned off in gslapt as it can be problematic when updating for obvious reasons. however it may help you to find some additional packages that are stable but have not yet been moved to standard repositories. you would toggle it in gslapt under edit preferences sources. and refresh the packages list. this should be unchecked and the list refreshed when finished and used with caution as the packages may be yet unstable and cause issue..in the forum new packages are posted for testing in package news and updates.
naturally there is a limit to the updatability of any system at which time a new build is required. the developers are actively working on the same and have released alpha, beta and rc1 to date. this is a completely new process and rebuild and as such is taking longer than any previous release. Although newer RC are being built they have not been posted for public testing thus I can only suggest patients.
What version of VL7.0 did you install? VLocity, Standard gold or Light?
Logged

warpman

  • Member
  • *
  • Posts: 41
Re: Updating vl7.0
« Reply #4 on: March 23, 2015, 03:07:00 pm »

One more thing, the main reason I mentioned the updates is because the browsers are like SUPER way behind. How do I upgrade the package to a more recent package? FF and Opera.

Thanks for the info. I installed V7 standard.

No..adding RC repositories would be unwise to say the least. VL7.0 has been maintained and the most recent additions would be found in the untested repository..this is by default turned off in gslapt as it can be problematic when updating for obvious reasons. however it may help you to find some additional packages that are stable but have not yet been moved to standard repositories. you would toggle it in gslapt under edit preferences sources. and refresh the packages list. this should be unchecked and the list refreshed when finished and used with caution as the packages may be yet unstable and cause issue..in the forum new packages are posted for testing in package news and updates.
naturally there is a limit to the updatability of any system at which time a new build is required. the developers are actively working on the same and have released alpha, beta and rc1 to date. this is a completely new process and rebuild and as such is taking longer than any previous release. Although newer RC are being built they have not been posted for public testing thus I can only suggest patients.
What version of VL7.0 did you install? VLocity, Standard gold or Light?

Logged

overthere

  • Vectorian
  • ****
  • Posts: 1455
Re: Updating vl7.0
« Reply #5 on: March 23, 2015, 04:00:45 pm »

I think opera is the most up to date for linux although I believe there is a newer version for debian. I think the last fire fox update was 28..or 29 you would likely find it in testing for 7.0. If you want to try the test build for Vl7.1 std I think it uses ff 33.1 you can download here for testing

http://vlcore.vectorlinux.com/pkg/untested/veclinux-7.1/iso/VL-7.1-STD-RC3.1.iso

bug reports I believe go to bit bucket here

https://bitbucket.org/VLCore/vabs/issues

or you can post your experience in the developement forum

hope that helps
Logged
Everything Is Relative

roarde

  • Vectorian
  • ****
  • Posts: 774
  • it's enough
Re: Updating vl7.0
« Reply #6 on: March 23, 2015, 04:22:46 pm »

As always, bug reports for 7.1 on the forum are OK, but developers can deal with them more easily if posted to
https://bitbucket.org/VLCore/vl71/issues
If you're signed on to a bitbucket account, your bitbucket ID will be used. If you don't have a bitbucket account, or wish not to use it, that's fine. Including your forum member name within the text would be a help; there may be a need to get more info about the problem.

"Vabs" has been integrated into the versions' own trees (like "vl71") for quite a while now. Posting OS issues into its tracker is obsolete. No one has had time to update the pointers, so that there will be confusion is a given.

So your original post when issue posting was asked about in another thread was correct, overthere.
« Last Edit: March 23, 2015, 04:30:48 pm by roarde »
Logged
Robert

crum

  • Vectorite
  • ***
  • Posts: 180
Re: Updating vl7.0
« Reply #7 on: March 24, 2015, 09:12:03 am »

Firefox 36 is in untested RC3.1 repository.
Logged

overthere

  • Vectorian
  • ****
  • Posts: 1455
Re: Updating vl7.0
« Reply #8 on: March 24, 2015, 01:10:11 pm »

@roarde Thanks

Ok and the testing repository for 7.1 32 bit STD is here, add to gslapt- edit/ preferences/ sources and update the package list. then search for new packages

http://vlcore.vectorlinux.com/pkg/untested/veclinux-7.1/x86/
Logged
Everything Is Relative

crum

  • Vectorite
  • ***
  • Posts: 180
Re: Updating vl7.0
« Reply #9 on: March 24, 2015, 03:00:06 pm »

By the way I also use Linux Mint and they are using FireFox 36. One problem with 36 is the Forum does not open,instead it goes to FireFox homepage,haven't worked that out yet.
Logged

roarde

  • Vectorian
  • ****
  • Posts: 774
  • it's enough
Re: Updating vl7.0
« Reply #10 on: March 25, 2015, 08:16:01 am »

Edit /home/<user>/Desktop/help.desktop

Change
Exec=browser vectorlinux.com/forum2
to
Exec=firefox http://forum.vectorlinux.com

Note that this is the "wrong", unportable way to do this and you'll have to change it each time you want a different browser. But it should get your installation working properly.

I cannot recall which version of the /usr/bin/browser script will go into subsequent (i.e. final) releases. There have been changes offered for it, and the URL reflects just how old the package the Desktop links come from is. Usually redirect will catch it, but not always.
Logged
Robert

crum

  • Vectorite
  • ***
  • Posts: 180
Re: Updating vl7.0
« Reply #11 on: March 26, 2015, 12:10:02 pm »

Thanks for change of desktop.help edit.Works like before FireFox 36.
Logged